/* Table 7: Connection between knowledge and actions */
local folder "C:\Users\mlevere\OneDrive - Mathematica\Documents\Projects\Nepal\"

clear all
set more off

use "`folder'/Data/women_endline_reg_data", clear

* 1. Antenatal Care Visits (Very significant - 0.65 more visits above 2.9 average)
gen knowledge_item = anc_checkups_4_e
label variable knowledge_item "Knowledge"
reg youngest_antenatal_care_e knowledge_item if newkids == 1 & flag == 0
outreg2 using "`folder'/Output/table7_knowledge_behavior.doc", tex(pr) label dec(3) replace

drop knowledge_item

* 2. Exclusively breastfeed for 6 months (Significant at 5% level among new mothers - 9.5 pp more likely above 53 average; bigger effects in overall population)
gen knowledge_item = exclusive_6mo_e
label variable knowledge_item "Knowledge"
reg exclusive_breastfed_6mos knowledge_item if newkids == 1 & flag == 0
outreg2 using "`folder'/Output/table7_knowledge_behavior.doc", tex(pr) label dec(3) 

drop knowledge_item

* 3. First breastfed within 0 hours (first milk to baby):
*    Very significant - 27 pp more likely, above 25 average
gen knowledge_item = givebaby_firstmilk_e
label variable knowledge_item "Knowledge"
reg first_breastfed_0hr knowledge_item if newkids == 1 & flag == 0
outreg2 using "`folder'/Output/table7_knowledge_behavior.doc", tex(pr) label dec(3) 

drop knowledge_item

* 3a. Fed only breastmilk first three days (first milk to baby/exclusively breastfeed for 6 months):
* First milk: 23 pp more likely, above 54 average
* Exclusive 6 months: Not at all more likely
gen knowledge_item = givebaby_firstmilk_e
label variable knowledge_item "Knowledge"
reg threedays_onlybreastmilk knowledge_item if newkids == 1 & flag == 0
outreg2 using "`folder'/Output/table7_knowledge_behavior.doc", tex(pr) label dec(3) 

drop knowledge_item

reg threedays_onlybreastmilk exclusive_6mo_e if newkids == 1 & flag == 0

* 4. Iron supplementation (very significant - 13 pp more likely, above 75 average)
reg youngest_irontab_e iron_3t4_e if newkids == 1 & flag == 0

* 4a. Correct timing on iron supplementation (30 pp more likely, above 17 average)
gen knowledge_item = iron_3t4_e
label variable knowledge_item "Knowledge"
reg youngest_irontab_5t6mos knowledge_item if newkids == 1 & flag == 0
outreg2 using "`folder'/Output/table7_knowledge_behavior.doc", tex(pr) label dec(3) 

drop knowledge_item

* 5. Deworming tablets (23 pp more likely, above 60 average) - don't have timing question
gen knowledge_item = deworming_2ndtri_e
label variable knowledge_item "Knowledge"
reg youngest_deworming_e knowledge_item if newkids == 1 & flag == 0
outreg2 using "`folder'/Output/table7_knowledge_behavior.doc", tex(pr) label dec(3) 

drop knowledge_item

* 6. Vitamin A supplementation (41 pp more likely, above 33 average)
gen knowledge_item = vitaminA_45_e
label variable knowledge_item "Knowledge"
reg youngest_vitaminA_e knowledge_item if newkids == 1 & flag == 0
outreg2 using "`folder'/Output/table7_knowledge_behavior.doc", tex(pr) label dec(3) 

drop knowledge_item

